Subject: Re: [bitcoin-dev] How to evaluate block size increase suggestions.

From: Peter R <[email-masked]>
Date: Sat, 14 Nov 2015 13:45:25 -0800

> It looks like some specific meta-level criteria would help more at this point than new proposals all exploring a different variants of block size increase schedules.

I agree.  In fact, I’ll go meta on your meta and suggest that we should first discuss how Bitcoin should be governed in the first place.  Should Bitcoin evolve from the “bottom up,” or from the “top down”?

If one’s answer is from the “top-down,” then the meta-level criteria can be endlessly debated, for they all involve some sort of tradeoff, they all require some sort of compromise.  The “top down” perspective holds that people might make poor choices if given the freedom to easily do so--it holds that the trade-offs must be balanced instead by experts.  

However, if one's answer is from the “bottom up,” then the meta-level criteria is very easy: we do what the people wants. We allow the people to weigh the tradeoffs and then we watch as consensus emerges through a decentralized process, objectively represented by the longest proof-of-work chain.  

Regarding the block size limit debate, at the end of the day it comes down to two things:

1.  How big of a block will my node accept today?

2.  What do I want my node to do if the longest chain includes a block larger than the limit I set?

If one concedes that Bitcoin should be governed from the “bottom up,” then it is already possible to empower each node operator to more easily express his free choice regarding the size of blocks he is willing to accept, while simultaneously ensuring that his node tracks consensus.

Best regards,
Peter